logo
DATABASE RESOURCES PRICING ABOUT US

[SECURITY] [DSA 4452-1] jackson-databind security update

Description

- ------------------------------------------------------------------------- Debian Security Advisory DSA-4452-1 security@debian.org https://www.debian.org/security/ Moritz Muehlenhoff May 24, 2019 https://www.debian.org/security/faq - ------------------------------------------------------------------------- Package : jackson-databind CVE ID : CVE-2018-11307 CVE-2018-12022 CVE-2018-12023 CVE-2018-14718 CVE-2018-14719 CVE-2018-14720 CVE-2018-14721 CVE-2018-19360 CVE-2018-19361 CVE-2018-19362 CVE-2019-12086 Multiple security issues were found in jackson-databind, a Java library to parse JSON and other data formats which could result in information disclosure or the execution of arbitrary code. For the stable distribution (stretch), these problems have been fixed in version 2.8.6-1+deb9u5. We recommend that you upgrade your jackson-databind packages. For the detailed security status of jackson-databind please refer to its security tracker page at: https://security-tracker.debian.org/tracker/jackson-databind Further information about Debian Security Advisories, how to apply these updates to your system and frequently asked questions can be found at: https://www.debian.org/security/ Mailing list: debian-security-announce@lists.debian.org


Affected Package


OS OS Version Package Name Package Version
Debian 9 libjackson2-databind-java-doc 2.8.6-1+deb9u5
Debian 8 jackson-databind 2.4.2-2+deb8u5
Debian 9 libjackson2-databind-java 2.8.6-1+deb9u5
Debian 9 jackson-databind 2.8.6-1+deb9u5
Debian 8 jackson-databind 2.4.2-2+deb8u6
Debian 8 libjackson2-databind-java 2.4.2-2+deb8u5
Debian 8 libjackson2-databind-java-doc 2.4.2-2+deb8u5
Debian 8 libjackson2-databind-java-doc 2.4.2-2+deb8u6
Debian 8 libjackson2-databind-java 2.4.2-2+deb8u6

Related